using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using digioz;

public partial class controls_admin_Index : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        digioz.Hashtable coConfig = new digioz.Hashtable();
        ConfigurationList loConfigurationList = ConfigurationManagement.GetConfigurationList();

        foreach (digioz.Configuration loConfig in loConfigurationList)
        {
            coConfig.AddToTable(loConfig.KeyName, loConfig.KeyValue);
        }

        try
        {
            lblVersion.Text = "Portal Version: " + coConfig.GetValue("Portal Version").ToString();
        }
        catch
        {
            lblVersion.Text = "Portal Version: NOT SPECIFIED";
        }
        gvSiteLog.DataSource = SiteLogManagement.GetSiteLogList();
        gvSiteLog.DataBind();
    }

    protected void gvSiteLog_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {

        gvSiteLog.PageIndex = e.NewPageIndex;
        gvSiteLog.DataSource = SiteLogManagement.GetSiteLogList();
        gvSiteLog.DataBind();
    }

}
